Get Job Detail

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/jobs/{jobId}

Returns information about a specified job

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project containing the job

jobId
integer (int32) Required

Job to retrieve

Responses
200

OK

Expand All
object
readOnly
boolean

Whether the job is read-only

detail
object (Configuration.Api.Models.v1.JobDetail)
jobId
integer (int32) | null

The job's ID

name
string | null

The job's name

description
string | null

The job's description

jobSteps
Array of object (Configuration.Api.Models.v1.StepDetail) | null

List of the job's steps

object
stepId
integer (int32) | null

The step's ID

typeId
integer (int32)

The step's type ID

objectId
integer (int32)

The step's object ID

sequence
integer (int32)

The step's sequence number

configurationJson
string | null

The step's configuration information, written in JSON

isEnabled
boolean

Whether the step is enabled

dupHash
integer (int32)

The step's dup hash

name
string | null

The step's name

icon
integer (int32)

The step's icon

jobSchedules
Array of object (Configuration.Api.Models.v1.JobScheduleDetail) | null

List of the job's schedules

object
jobScheduleId
integer (int32) | null

The job schedule's ID

emailAddresses
string | null

The job schedule's email address

emailSubject
string | null

The job schedule's email subject

isImmediate
boolean

Whether the job schedule is immediate

includedTestCount
integer (int32)

How many test results to include

onlyIncludeFailedTests
boolean

Whether to only include failed tests

scheduleDetail
object (Configuration.Api.Models.v1.ScheduleDetail)
scheduleId
integer (int32) | null

The schedule ID

codeScheduleRecurrenceId
integer (int32)

The schedule recurrence ID

codeMonthlyRecurrenceId
integer (int32)

The monthly recurrence ID

dateStart
string (date-time) | null

The start date

dateEnd
string (date-time) | null

The end date

monthlyAbsoluteRecurrenceInterval
integer (int32) | null

The monthly absolute recurrence interval

monthlyRelativeRecurrenceInterval
integer (int32) | null

The monthly relative recurrence interval

weeklyRecurrenceInterval
integer (int32) | null

The weekly recurrence interval

dailyRecurrenceInterval
integer (int32) | null

The daily recurrence interval

timeStart
string (date-time) | null

The start time

timeEnd
string (date-time) | null

The ending time

timeOnce
string (date-time) | null

The time if the schedule only executes once

timeIntervalValue
integer (int32) | null

The time interval value

timeIntervalType
integer (int32)

The time interval type

daysOfWeek
string | null

The days of the week scheduled

dayOfMonth
integer (int32) | null

The day of the month scheduled

weekOfMonth
integer (int32) | null

The week of the month scheduled

dayOfWeek
integer (int32) | null

The day of the week scheduled

isEnabled
boolean

Whether the schedule is enabled

isActive
boolean

Whether the schedule is active

selectedNotificationTriggerIds
Array of integer | null

List of the selected notification trigger ids

integer (int32)
notificationTriggers
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the notification triggers

object
id
integer (int32)

The object's ID

name
string | null

The object's name

itemTypes
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the job's item types

object
id
integer (int32)

The object's ID

name
string | null

The object's name

initialAvailableItems
Array of object (Configuration.Api.Models.v1.AvailableItem) | null

List of the job's initial available items

object
key
string | null

The key of the available item

name
string | null

The name of the available item

icon
integer (int32)

The icon of the available item

childCount
integer (int32)

The child count of the available item

context
string | null

The context of the available item

initialExpandedItems
Array of string | null

List of the job's initial expanded items

string
availableItemPageSize
integer (int32)

The job's available item page size

totalAvailableRootCount
integer (int32)

The job's total available root count

disableJobKeys
Array of string | null

List of disabled job keys

string
scheduleLookups
object (Configuration.Api.Models.v1.Lookups)
scheduleRecurrenceTypes
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the schedule recurrence types

object
id
integer (int32)

The object's ID

name
string | null

The object's name

monthlyRecurrenceTypes
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the monthly recurrence types

object
id
integer (int32)

The object's ID

name
string | null

The object's name

dayOfWeekOptions
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the day of the week options

object
id
integer (int32)

The object's ID

name
string | null

The object's name

weekOfMonthOptions
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the week of the month options

object
id
integer (int32)

The object's ID

name
string | null

The object's name

scheduleNotificationTriggerTypes
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of the job's schedule notification trigger types

object
id
integer (int32)

The object's ID

name
string | null

The object's name

assignedLabels
Array of object (Configuration.Api.Models.v1.AssignedLabel) | null

The job's assigned labels

object
id
integer (int32)

The ID of the label assignment

labelId
integer (int32)

The ID of the label

labelName
string | null

The name of the label

isLocked
boolean

Whether the label is locked

404

Not Found

object
error
string | null